Bug 459299 - yumdownloader doesn't honor the --disableplugin option
yumdownloader doesn't honor the --disableplugin option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 16:17 EDT by jgoold
Modified: 2013-03-12 16:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jgoold 2008-08-15 16:17:09 EDT
Description of problem:
yumdownloader --help lists --disableplugin as one of the options.  However, when you pass this option to yumdownloader, it is ignored.

Version-Release number of selected component (if applicable):
1.1.10-9.el5

How reproducible:
Always

Steps to Reproduce:
1. yumdownloader --disableplugin=rhnplugin --urls glibc
  
Actual results:
The following output appears:
Loading "rhnplugin" plugin

Expected results:
I would expect the rhnplugin to not be loaded with the --disableplugin=rhnplugin option passed.  If I run:

yum --disableplugin=rhnplugin search glibc

the rhnplugin is not loaded.

Additional info:

It appears that the root of this may stem from /usr/share/yum-cli/utils.py lines 50 through 55 where the YumUtilBase class calls self._getConfig and doesn't pass the disabled_plugins argument (as in /usr/share/yum-cli/cli.py line 163).
Comment 1 James Antill 2008-08-18 16:37:45 EDT
 The --disableplugin argument just means the plugin isn't run, not that it isn't loaded.
 This is a core yum feature/design.

 You could open an "RFE" to change the core behaviour, or open a discussion on the mailing list ... or just explain your desire to not run the plugins to me, and I'll relay them.
 But based on the above we aren't going to diverge from upstream on this.
Comment 2 jgoold 2008-08-19 09:32:48 EDT
Thanks for the info.  Perhaps I've misunderstood the purpose of 'disableplugin'.  My core problem here is that I need to disable the rhnplugin functionality.  That is, under certain conditions, I don't want to add the rhn channels to my set of repositories.

After looking through this, it appears that I can just disable the rhn repositories with the disablerepo argument.
Comment 3 James Antill 2008-08-19 09:56:07 EDT
 Ok, I'll test this ... --disableplugin should disable the plugin, although it will still load the code.
 But, yeh, if you just want to disable the repos. then disablerepo will do that for you. Also note that there is a --noplugins option which will make yum not load/run any plugin code.
Comment 4 James Antill 2013-03-12 16:18:56 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.